# * Licensed Materials - Property of IBM
# * 5724-L68, 5724-L69
# * (C) Copyright IBM Corp. 2007 - All Rights Reserved.
# * US Government Users Restricted Rights - Use, duplication or disclosure
# * restricted by GSA ADP Schedule Contract with IBM Corp.



if [ "x$JAVA_HOME" = "x" ] ; then 
   
    echo "Please set the JAVA_HOME environment variable. This is the location of JDK1.5 Java Home."
    read JAVA_HOME
fi

export JAVA_HOME

if [ "x$MIGRATION_PATH" = "x" ] ; then 
   
    echo "Please set the MIGRATION_PATH environment variable.It is the BCGMigrationUtil.zip extract directory location including the sub-directory bcgmigrate. "
    read MIGRATION_PATH
fi

export MIGRATION_PATH

if [ "x$JAVA_XMS" = "x" ] ; then 
   
    echo "Provide numeric value for initial heap size in Megabytes, or mandatory 0 to use JVM default: "
    read JAVA_XMS
fi

if [ "x$JAVA_XMX" = "x" ] ; then 
   
    echo "Provide numeric value for maximum heap size in Megabytes, or mandatory 0 to use JVM default: "
    read JAVA_XMX
fi

if [ "x$JAVA_XMS" = "x" ] ; then 
   
    echo Provide a numeric value for heap size  or 0 to use default.
    echo Please try again.
    exit
fi

if [ "x$JAVA_XMX" = "x" ] ; then 
   
    echo Provide a numeric value for heap size  or 0 to use default.
    echo Please try again.
    exit
fi


if [ "x$JAVA_XMS" = "x0" ] ; then 
   
    jvmMinArg=""
    else
    jvmMinArg="-Xms${JAVA_XMS}m"
fi

if [ "x$JAVA_XMX" = "x0" ] ; then 
   
    jvmMaxArg=""
    else
    jvmMaxArg="-Xmx${JAVA_XMX}m"
fi
# Use a bunch of WAS jar files, and a few of our own too. implfactory.properties needs to be in the classpath too.
CLASSPATH=$MIGRATION_PATH/lib/com.ibm.ws.admin.client_6.1.0.jar:$MIGRATION_PATH/lib/vcConsoleEJB.jar:$MIGRATION_PATH/lib/bcgCommon.jar:$MIGRATION_PATH/lib/icu4j-3_8.jar:$MIGRATION_PATH/lib/vcServer.jar:$MIGRATION_PATH/BCGMigrationUtility.jar:$CLASSPATH

export CLASSPATH


#rem Uncomment the following line to run without client ORB tracing
$JAVA_HOME/bin/java $jvmMinArg $jvmMaxArg com.ibm.bcg.sdk.migration.BCGMigrationUtil $1 $2 $3 $4 $5 $6 $7 $8 $9 ${10} ${11} ${12} ${13} ${14} ${15}


exit 0
